import {Route, Redirect, Switch} from 'react-router-dom';
import {Content} from "./content";
import {PageMain} from "./pageMain";
import {CUserTracks} from "./userTracks";
import {Aside} from "./aside";



export const Main = () =>
    <main>
        <Aside />
        <Content>
            <Redirect from='/main' to='/'/>
            <Switch>
                <Route path='/' component={PageMain} exact/>
                <Route path="/playlist/:_id" component={CUserTracks}/>
            </Switch>
        </Content>
   </main>