import {applyMiddleware, combineReducers, createStore} from "redux";
import {authReducer} from "./authReducer";
import {promiseReducer} from "./promiseReducer";
import thunk from "redux-thunk";

export const store = createStore(combineReducers({promise: promiseReducer,
        auth: authReducer,}),
    applyMiddleware(thunk))

store.subscribe(() => console.log(store.getState()))

